package com.lutao.cloud.admin.service;

import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.admin.api.entity.SysDept;
import com.lutao.cloud.common.core.util.MessageInfo;

import java.util.List;

/**
 * <p>
 * 部门管理 服务类
 * </p>
 *

 * @since 2018-01-20
 */
public interface SysDeptService extends IService<SysDept>{

	/**
	 * 查询部门树菜单
	 * @return 树
	 */
	List<Tree<Integer>> selectTree();

	/**
	 * 添加信息部门
	 * @param sysDept
	 * @return
	 */
	MessageInfo<Boolean> saveDept(SysDept sysDept);

	/**
	 * 删除部门
	 * @param id 部门 ID
	 * @return 成功、失败
	 */
	Boolean removeDeptById(Integer id);

	/**
	 * 更新部门
	 * @param sysDept 部门信息
	 * @return 成功、失败
	 */
	MessageInfo<Boolean> updateDeptById(SysDept sysDept);


}
